.footer-wrapper {
    display: flex;
    flex-wrap: wrap;
    padding-top: 20px;
    padding-bottom: 20px;
    border-top: 0.1rem solid rgba(var(--color-foreground),.08);
}

/* PC端布局 */
@media (min-width: 768px) {
    .footer-wrapper .footer-column:first-child {
        width: 33.33%;
        padding-right: 20px;
        padding-top: 1.5rem;
        box-sizing: border-box;
    }
    .footer-wrapper .footer-column:not(:first-child) {
        width: 22.22%;
    }
}

/* 移动端布局 */
@media (max-width: 767px) {
    .footer-wrapper .footer-column {
        width: 100%;
        padding-left: 10px;
        margin-bottom: 20px;
    }
}

/* 其他样式保持不变 */
.footer-wrapper .logo {
    height: auto;
}

.footer-wrapper ul {
    list-style-type: none;
    padding: 0;
}

.footer-wrapper li {
    margin-bottom: 10px;
}

.footer-wrapper a {
    color: #333;
    text-decoration: none;
}

.copyright-wrapper {
    width: 100%;
    text-align: center;
    padding: 20px 0;
    border-top: 1px solid #e0e0e0;
}

.copyright-wrapper a {
    color: currentColor;
    text-decoration: none;
}

.copyright-wrapper a:hover {
    text-decoration: underline;
}